> ## Documentation Index
> Fetch the complete documentation index at: https://developers.malibou.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create complementary contracts from fiche parametrage

> Required scope: `org:employee:health_insurance:manage`



## OpenAPI

````yaml /api-reference/openapi/public-api-1.11.0-partners.json post /organizations/{organizationId}/complementary-contracts/fiche-parametrage
openapi: 3.0.0
info:
  title: malibou public API
  version: 1.11.0
  description: >-
    ⚠️ These endpoints require an approved malibou partner integration — a
    self-serve API key cannot access them, regardless of the permissions it is
    granted. See the Partner-only scopes section of the Authentication guide.
servers:
  - url: https://app.malibou.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Organizations
    description: Organizations endpoints
    x-group: Organizations
  - name: Meal Vouchers
    description: Meal Vouchers endpoints
    x-group: Meal Vouchers
  - name: Complementary Contracts
    description: Complementary Contracts endpoints
    x-group: Complementary Contracts
  - name: Complementary Contracts Affiliations
    description: Complementary Contracts Affiliations endpoints
    x-group: Complementary Contracts Affiliations
paths:
  /organizations/{organizationId}/complementary-contracts/fiche-parametrage:
    post:
      tags:
        - Complementary Contracts
      summary: Create complementary contracts from fiche parametrage
      description: 'Required scope: `org:employee:health_insurance:manage`'
      operationId: createComplementaryContractsFromFicheParametrage
      parameters:
        - schema:
            type: string
          required: true
          name: organizationId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                establishmentId:
                  type: string
                ficheParametrageXml:
                  type: string
              required:
                - establishmentId
                - ficheParametrageXml
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      created:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            organismeCode:
                              type: string
                            organismeDelegationCode:
                              type: string
                              nullable: true
                            contractReference:
                              type: string
                            contractName:
                              type: string
                            options:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  optionCode:
                                    type: string
                                  optionName:
                                    type: string
                                  populationCode:
                                    type: string
                                    nullable: true
                                  populationName:
                                    type: string
                                    nullable: true
                                required:
                                  - id
                                  - optionCode
                                  - optionName
                                  - populationCode
                                  - populationName
                          required:
                            - id
                            - name
                            - organismeCode
                            - organismeDelegationCode
                            - contractReference
                            - contractName
                            - options
                      updated:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            organismeCode:
                              type: string
                            organismeDelegationCode:
                              type: string
                              nullable: true
                            contractReference:
                              type: string
                            contractName:
                              type: string
                            options:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  optionCode:
                                    type: string
                                  optionName:
                                    type: string
                                  populationCode:
                                    type: string
                                    nullable: true
                                  populationName:
                                    type: string
                                    nullable: true
                                required:
                                  - id
                                  - optionCode
                                  - optionName
                                  - populationCode
                                  - populationName
                          required:
                            - id
                            - name
                            - organismeCode
                            - organismeDelegationCode
                            - contractReference
                            - contractName
                            - options
                    required:
                      - created
                      - updated
                required:
                  - data
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````